Show / Hide Table of Contents

# Class OpenIddictServerDataProtectionFormatter

##### Inheritance

System.Object
OpenIddictServerDataProtectionFormatter

##### Implements

IOpenIddictServerDataProtectionFormatter

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server.DataProtection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerDataProtectionFormatter : IOpenIddictServerDataProtectionFormatter

### Methods

#### ReadToken(BinaryReader)

##### Declaration

    public ClaimsPrincipal ReadToken(BinaryReader reader)

##### Parameters

Type | Name | Description
--- | --- | ---
BinaryReader | reader |

##### Returns

Type | Description
--- | ---
ClaimsPrincipal |

#### WriteToken(BinaryWriter, ClaimsPrincipal)

##### Declaration

    public void WriteToken(BinaryWriter writer, ClaimsPrincipal principal)

##### Parameters

Type | Name | Description
--- | --- | ---
BinaryWriter | writer |
ClaimsPrincipal | principal |

### Implements

IOpenIddictServerDataProtectionFormatter